<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
$temp_set=$set;
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_panel_show',null,'/index.php?'.SID);

include_once 'system.php';
$set['title']='Защитник спамов '.$systems_bleik['title'].'';
include_once '../sys/inc/thead.php';
title();

?>
<link rel="stylesheet" href="style.css" type="text/css" />
<?

if(!isset($_GET['edit'])){if(isset($_GET['del']))
{
$bleikmef = ( int ) $_GET ['id'];
$q = mysql_query ( "SELECT * FROM `spammer` WHERE `id` = '$bleikmef' LIMIT 1" );

if (! mysql_num_rows ( $q )) {
		header ( 'Refresh: 1; url=?' );
	echo '<div class="err">Не найдено ничего</div>';
	include_once '../sys/inc/tfoot.php';
	exit ();
}
else
{
mysql_query ( "DELETE FROM `spammer` WHERE `id` = '$bleikmef' LIMIT 1" );
echo  '<div class="msg">Сайт успешно удален из черного списка</div>';
}
}
function bleikca(){echo '<div class="menu_razd">Добавить сайт в черный список</div>';}
function errorsbleik(){echo '<div class="err">В черном списке ничего нет сейчас</div>';}
if(isset($_POST['bleik_s']) || isset($_POST['na']))
{$bleik_s = $_POST ['bleik_s'];
$a = $_POST ['a'];
$q = mysql_query ( "SELECT * FROM `spammer` WHERE `na` = '$a' AND `bleik_s` = '$bleik_s' LIMIT 1" );
$q = mysql_query ( "SELECT * FROM `spammer` WHERE `bleik_s` = '$bleik_s' LIMIT 1" );
if (mysql_num_rows ( $q ) != 0 || mysql_num_rows ( $q ) != 0 ) {header ( 'Refresh: 1; url=?' );echo '<div class="err">Этот сайту уже был добавлен в черный список</div>';
linbSAleik();
include_once '../sys/inc/tfoot.php';
exit ();}
if($bleik_s == '' || $na = ''){echo '<div class="err">Пожалуйста заполните все поля</div>';
linbSAleik();
include_once '../sys/inc/tfoot.php';
exit();
header ( 'Refresh: 1; url=?');
linbSAleik();
include_once '../sys/inc/tfoot.php';
exit;
}
mysql_query("INSERT INTO `spammer` (`bleik_s`,`na`) VALUES ('$bleik_s','$a')");
echo '<div class="msg">Сайт Успешно добавлен в черный список</div>';

}
bleikca();





/*

Продолжение изминений


*/


echo '<div class="posts">';
if($_GET['act'] == "site")
{
echo "<form method='post' action='?$passgen'>\n";
echo "Название сайта:(без http://)<br /><input type='text' name='bleik_s'  maxlength='320' /><br />\n";
echo "Переделывать на:<br /><textarea name='a'></textarea><br />\n";
echo "<input type='submit' value='Закинуть в черный список' />\n";
echo "</form><br />\n";
}else{echo '<img width="18" src="img/site.png"><a href="?act=site">Добавить сайт в черный список</a>';}
echo '</div>';
}
else
{
$bleik_mess = ( int ) $_GET ['id'];
$q = mysql_fetch_assoc(mysql_query ( "SELECT * FROM `spammer` WHERE `id` = '$bleik_mess' LIMIT 1" ));

if ($q['id']==0) {
		header ( 'Refresh: 1; url=?' );
	echo '<div class="err">Не найдено замена</div>';
	linbSAleik();
	include_once '../sys/inc/tfoot.php';
	exit ();
}
if(isset($_POST['bleik_s']) && isset($_POST['na']))
{
$na=esc($_POST['na']);
$bleik_s=esc($_POST['bleik_s']);
mysql_query("UPDATE `spammer` SET `bleik_s`='$bleik_s',`na`='$na' WHERE `id`='".$q['id']."'");
msg('Изминение успешно вступили в силу');
header ( 'Refresh: 1; url=?' );
linbSAleik();
	include_once '../sys/inc/tfoot.php';
	exit ();
}
echo '<div class="menu_razd">Редактирование забаненного сайта</div>';
echo '<div class="posts">';
echo "<form method='post' action='?edit&amp;id=".$q['id']."&amp;$passgen'>\n";
echo "Название сайта:<br /><input type='text' name='bleik_s' maxlength='320' value='".$q['bleik_s']."' /><br />\n";
echo "Переделываем на:<br /><textarea name='na'>".$q['na']."</textarea><br />\n";
echo "<input type='submit' value='Применить изменения' />\n";
echo "</form><br />\n";
echo '</div>';
}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `spammer`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
errorsbleik();
}
$q=mysql_query("SELECT * FROM `spammer` LIMIT $start, $set[p_str]");
while ($s = mysql_fetch_assoc($q))
{
echo '<div class="posts">';
echo "<table>\n";
echo '<div class="bleik_spam"><img width="18" src="img/link.png"> Сайт: <font color="red"><a href="http://'.$s['bleik_s'].'">'.$s['bleik_s'].'</a></font> в черном списке и был изменен на: <b><font color="red">'.$s['na'].'</font></b><br /></div>';
echo '<div align="right" class="bleik"><a href="?edit&amp;id='.$s['id'].'">Редактировать</a>&nbsp&nbsp | &nbsp&nbsp<a href="?del&amp;id='.$s['id'].'">Удалить сайт из спама</a></div><br />';
echo "</table>\n";
echo "</div>";
}
if ($k_page>1)str("spammer.php?&amp;",$k_page,$page); // Вывод страниц
linbSAleik();
include_once '../sys/inc/tfoot.php';
?>